Page MenuHomePhabricator

Extend sites.site_global_key on WMF production
Closed, ResolvedPublic

Description

ALTER TABLE: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/620044/3/maintenance/archives/patch-sites-site_global_key.sql

ALTER TABLE sites MODIFY `site_global_key` varbinary(64) NOT NULL;

WHERE: All wikis with the site table (it should be every wiki database)
WHEN: At DBAs leisure; change isn't necessary for WMF production, but helps keep tables in sync with core schema changes
BACK COMPAT: Yes
TESTED: Not yet on beta, will be merged soon

Table on the wikis should be relatively small, ~1000 rows

Schema change progress:

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8
  • wikitech
  • labtestwiki

Event Timeline

Reedy created this task.Aug 15 2020, 11:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2020, 11:49 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Aug 17 2020, 7:15 AM
Marostegui moved this task from Backlog to Next on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-08-25T12:39:39Z] <marostegui> alter table sites on s6, directly on the primary master T260476

Marostegui updated the task description. (Show Details)
Marostegui moved this task from Next to In progress on the DBA board.
Marostegui moved this task from Backlog to In progress on the Blocked-on-schema-change board.
Marostegui updated the task description. (Show Details)Wed, Aug 26, 5:13 AM
Marostegui updated the task description. (Show Details)Wed, Aug 26, 7:40 AM
Marostegui updated the task description. (Show Details)Wed, Aug 26, 7:44 AM
Marostegui updated the task description. (Show Details)Wed, Aug 26, 7:49 AM
Marostegui updated the task description. (Show Details)Wed, Aug 26, 8:13 AM

s3 is the only one pending - will do it once the DC switchover is done next week.

Mentioned in SAL (#wikimedia-operations) [2020-09-10T05:29:50Z] <marostegui> Deploy schema change on s3 master - T260476

Marostegui closed this task as Resolved.Mon, Sep 14, 11:48 AM
Marostegui updated the task description. (Show Details)

All done